body,html {
  height:100%;
  background-color:var(--cty-offscreen-bg);
}

#page-wrap {
  position:relative;
  width:100%;
  background-color:var(--cty-default-bg);
  color:var(--cty-default-fg);
}

#page-header { width:100%; }

#page-content { width:100%; }



.sidenav-bg { width:100%; }
.sidenav-container { max-width:1440px; margin:auto; } /* match container-fluid width */
.sidenav-row { display:block; width:100%; }
.sidenav-col-nav { display:block; width:100%; padding:0; }
.sidenav-col-content { display:block; width:100%; padding-right:24px; padding-left:24px; }
@media screen and (min-width: 992px) {
  .sidenav-bg { width:100%; background: linear-gradient(-90deg, var(--cty-sidenav-bg-nav) 0%, var(--cty-sidenav-bg-nav) 50%, var(--cty-sidenav-bg-content) 50%, var(--cty-sidenav-bg-content) 100%); }
	.sidenav-row { display: flex; flex-direction: row-reverse; width:100%; }
	.sidenav-col-nav { display:block; width:25%; padding:60px 40px;  }
	.sidenav-col-content { display:block; background-color:var(--cty-sidenav-bg-content); width:75%; padding-right:40px;  }
}
@media screen and (min-width: 1200px) {
  .sidenav-col-nav { padding-right:5%; }
	.sidenav-col-content { padding-left:5%; }
}





/* corner callout */

.corner-callout { 
  position: fixed;
  z-index: 1001;
  left: 0;
  bottom: 0;
  width: 100%;
  max-width:440px;
  padding: 1rem 1rem 1.5rem 1.5rem;
  overflow: hidden;
  box-shadow: 0 0 24px rgba(0,0,0,.2);
  opacity: 0;
  animation: fadeIn 0.5s ease-in forwards;
  animation-delay: 0.95s; /* Optional: delay before fade starts */
  background-color:white;
  color:inherit;
}

@keyframes fadeIn {
  to {
    opacity: 1;
  }
}

/* Respect user's motion preferences */
@media (prefers-reduced-motion: reduce) {
  .corner-callout {
    animation: none;
    opacity: 1;
  }
}

.corner-callout-headline { font-weight:700; font-size:1.1rem; margin-bottom:0.5rem; text-wrap:balance; }
.corner-callout-text { font-weight:400; font-size:0.9rem; margin-bottom:0.5rem; text-wrap:balance; }
.corner-callout-cta { margin-bottom:0; }

.corner-dismiss { 
  position:absolute; 
  top:10px; 
  right:10px;
  display:block; 
  margin:0; padding:0; border: none;
  width:30px; height:30px; 
  text-align:center; 
  background-color:inherit; 
  color:inherit; 
  font-size:22px; 
  line-height:30px; 
}

